Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.param
Class PropertyPrefixParamProvider

    java.lang.Object
      com.tonbeller.jpivot.param.AbstractParamProvider
          com.tonbeller.jpivot.param.PropertyPrefixParamProvider

All Implemented Interfaces:
  ParameterProvider

    public class PropertyPrefixParamProvider

extends AbstractParamProvider

Default implementation for ParameterProvider. It uses the SqlAccess Extension of the Olap Model.

See Also:
  `SqlAccess`

Constructor Summary
`PropertyPrefixParamProvider(java.lang.String propertyPrefix)` creates a collection of SessionParam from member properties.

Method Summary
`protected void` | `addMemberParams(java.util.List list, SqlAccess sa, Member member)`

Methods inherited from class com.tonbeller.jpivot.param.AbstractParamProvider
`createSessionParams`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyPrefixParamProvider

    public PropertyPrefixParamProvider(java.lang.String propertyPrefix)

  creates a collection of SessionParam from member properties. Every member property, whose name starts with `propertyPrefix` will create a SessionParam. The name of the SessionParam is the rest of the property name after the prefix, the SQL value is the value of the property, the MDX value will be the member.

  Parameters:
    `propertyPrefix` - the prefix of the properties that become SessionParam's.
  See Also:
    `SqlAccess`, `SessionParam`

Method Detail

### addMemberParams

    protected void addMemberParams(java.util.List list,
                                   SqlAccess sa,
                                   Member member)

  Specified by:
    `addMemberParams` in class `AbstractParamProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD